{% extends 'base.html.twig' %}

{% block title %}{% endblock %}

{% block body %}
<body class="body-page-produit">
<aside class="container">
        
        <div class="mangatheque-title">
            <a href="{{ path('app_home') }}" class="btn">MangaDex</a>
        </div>
    
        <nav>
            <ul class="nav-ul">
                 <li class="portfolio-buttons"><i class="far fa-newspaper fa-2x"></i><a href="{{ path('app_home') }}">Nouveautés</a></li>
                <li class="portfolio-buttons"><i class="fas fa-book fa-2x"></i><a href="{{ path('app_home_collection') }}">Collection</a></li>
                <li class="portfolio-buttons"><i class="fas fa-search fa-2x"></i><a href="{{ path('app_home_recherche') }}">Recherche</a></li>
                <li class="portfolio-buttons"><i class="fas fa-shopping-basket fa-2x"></i><a href="{{ path('app_home_panier') }}">Panier</a></li>
            </ul>
        </nav>

        
        
        <div class="account">
                <p><i class="fas fa-user-circle"></i> 
                {% if app.user %}
                    <a href="{{ path('app_home_account') }}">Compte</a></p>   
                {% else %}
                    <a href="{{ path('app_login') }}">Se Connecter</a></p>      
                {% endif %}
                
                
                 
        </div>
        
    </aside>

    <section>

        <div class="top-div-page-produit">
            <a href="{{ path('app_home') }}"><i class="fas fa-arrow-left"></i>{{ product.name }}</a>
        </div>
        
        <p class="line"></p>

        <div class="container-flex-page-produit">
            <div class="card-page-produit">
                <div class="img-page-produit">
                    <div>
                    <img src="{{ asset('uploads/product/'~ product.picture) }}" alt="">
                    </div>
                    <div class="div-btn-ajout-page-produit">
                        <button id="ajout-btn-past"class="btn-ajout-page-produit3"><i class="fas fa-arrow-left"></i>Tome X</button>
                        <button id="ajout-btn-next"class="btn-ajout-page-produit4">Tome X<i class="fas fa-arrow-right"></i></button>
                    </div>
                </div>
                <div class="detail-page-produit">
                    <h1>{{ product.name }}</h1>
                    <p>Numéro du tome: 1</p>
                    <p>{{ product.description }}</p>
                    <p>{{ product.author.name }}</p>
                    <p>{{ product.price }}</p>
                    
                    <div class="div-btn-ajout-page-produit">
                        <button class="btn-ajout-page-produit1">
                        {% if customer %}
                            <a href="{{ path('addProductMangatheque', {'customer': customer.id, 'product': product.id}) }}">Ajouter a votre collection</a>
                        {% else %}
                            <a href="{{ path('app_login') }}">Ajouter a votre collection</a>
                        {% endif %}
</button>
                        {# <button class="btn-ajout-page-produit1"><a href="{{path("addProductMangatheque", {'customer': customer.id, 'product': product.id})}}">Ajouter a votre collection</a></button> #}
                        <button class="btn-ajout-page-produit2"><a href="{{path("addProduct", {id: product.id})}}">Ajouter a votre panier</a></button>
                        
                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}